Categories:
  - System
License: GPL-3.0-only
AuthorName: Tibor Kaputa
AuthorEmail: hello@simplemobiletools.com
WebSite: https://simplemobiletools.com
SourceCode: https://github.com/SimpleMobileTools/Simple-SMS-Messenger
IssueTracker: https://github.com/SimpleMobileTools/Simple-SMS-Messenger/issues
Changelog: https://github.com/SimpleMobileTools/Simple-SMS-Messenger/blob/HEAD/CHANGELOG.md
Donate: https://simplemobiletools.com/donate
Bitcoin: 19Hc8A7sWGud8sP19VXDC5a5j28UyJfpyJ
Litecoin: LYACbHTKaM9ZubKQGxJ4NRyVy1gHUuztRP

AutoName: SMS Messenger

RepoType: git
Repo: https://github.com/SimpleMobileTools/Simple-SMS-Messenger

Builds:
  - versionName: 5.0.0
    versionCode: 1
    commit: 5.0.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.1.2
    versionCode: 5
    commit: 5.1.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.1.3
    versionCode: 6
    commit: 5.1.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.1.4
    versionCode: 7
    commit: 5.1.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.2.0
    versionCode: 9
    commit: 5.2.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.3.0
    versionCode: 10
    commit: 5.3.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.0
    versionCode: 11
    commit: 5.4.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.1
    versionCode: 12
    commit: 5.4.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.2
    versionCode: 13
    commit: 5.4.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.4
    versionCode: 16
    commit: 5.4.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.4.5
    versionCode: 17
    commit: 5.4.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.5.0
    versionCode: 18
    commit: 5.5.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.5.1
    versionCode: 19
    commit: 5.5.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.6.0
    versionCode: 20
    commit: 5.6.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.6.1
    versionCode: 21
    commit: 5.6.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.6.2
    versionCode: 22
    commit: 5.6.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.7.0
    versionCode: 23
    commit: 5.7.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.8.0
    versionCode: 25
    commit: 5.8.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.8.1
    versionCode: 26
    commit: 5.8.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.8.2
    versionCode: 27
    commit: 5.8.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.8.3
    versionCode: 28
    commit: 5.8.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.9.0
    versionCode: 29
    commit: 5.9.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.9.1
    versionCode: 30
    commit: 5.9.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.9.2
    versionCode: 31
    commit: 5.9.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.9.3
    versionCode: 33
    commit: 5.9.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.9.4
    versionCode: 34
    commit: 5.9.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.10.0
    versionCode: 35
    commit: 3bcd69d51e3f11e9016c31de17ce4dcc46d5c548
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.10.1
    versionCode: 36
    commit: 52ebeeedc6842126495662ce93bb11a4d4ca7869
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.10.2
    versionCode: 37
    commit: 1a4ceadbeeae385430681b9a334cdf72f2c4ff70
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.10.3
    versionCode: 38
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: 5366eadcde33ca6adf11677f88fd9234d0398e1f
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.11.0
    versionCode: 39
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: 95fbe59ac8db3ade9579aa8c7e6918bb8ae31108
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.11.1
    versionCode: 40
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: 5863ef292e33272c5b5b8dcd40077c3bff442a58
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.11.2
    versionCode: 41
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: f2c42cd8261a7e485e18f3ea23de5107e6aafb19
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.12.0
    versionCode: 42
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: 0774e0cb0f03dbb8d4f175ff465d74310a17729e
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.12.1
    versionCode: 43
    commit: b8801e23902e33c66b9ea402270f9f855979f34a
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.12.3
    versionCode: 45
    commit: 2fed3885cd8c3d4204cc13e4bb70550fd898015d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.12.4
    versionCode: 46
    commit: 50e2c04e8055c3ae6ef72b2ab938f36f911f9c32
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

  - versionName: 5.12.5
    versionCode: 48
    commit: 004c33b90d82c9d01d3aa616074f747972e63e38
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    prebuild: sed -i -e '/keystore.*{/,/}/d; /keystore/d' build.gradle

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 5.12.5
CurrentVersionCode: 48
